alias conv { dialog -m conv conv }
dialog conv {
  title "Convertisseur d'images"
  size -1 -1 246 103
  option dbu
  box "Liste d'images", 1, 2 2 114 100
  list 2, 4 11 109 88, size
  text "Selectionnez le rpertoire images:", 3, 120 11 105 8
  button "...", 4, 228 9 14 8
  box "Options", 5, 117 2 128 29
  text "Selectionnez le repertoire de sauvegarde:", 6, 120 20 104 8
  button "...", 7, 228 20 14 8
  box "Image", 8, 117 31 65 71
  icon 9, 120 40 57 57
  box "Conversion", 10, 184 31 61 22
  combo 11, 187 40 55 100, size drop
  box "Informations", 12, 184 53 61 37
  text "Diametre: ", 13, 186 61 58 8
  text "Taille:", 14, 186 70 57 8
  text "Cre le:", 15, 186 79 57 8
  button "Convertir", 16, 184 91 27 10
  button "Fermer", 17, 217 91 27 10, ok
}
on *:dialog:conv:init:*:{
  charge-mdx
  dll $mdx SetBorderStyle $dname 4,7,16,17 staticedge 
  dll $mdx SetFont $dname 2,3,4,6,7,11,13,14,15,16,17 +a 12 500 verdana
  bolddialog $dname 1,5,8,10,12
  dll $mdx SetControlMDX $dname 2 ListView grised single report> $views
  did -i $dname 2 1 headerdims 135 60
  did -i $dname 2 1 headertext Photos $chr(9) Formats
  did -i $dname 2 1 seticon list 0 icones/fleche.ico
  did -a conv 11 JPG
  did -a conv 11 BMP
  did -a conv 11 PNG
  did -a conv 11 TIF
  did -a conv 11 GIF
  did -a conv 11 ICO
  .timer 1 1 voirimgconv
}
on *:dialog:conv:sclick:4:{
  .remove sources/configuration/img-conv.txt
  set %dir.img.con.entree $$sdir="Selectionnez le dossier de vos images  convertir"
  var %imgdir = $findfile(%dir.img.con.entree,*.jpg,0,write sources/configuration/img-conv.txt " $+ $1- $+ ")
  var %imgdir = $findfile(%dir.img.con.entree,*.bmp,0,write sources/configuration/img-conv.txt " $+ $1- $+ ")
  var %imgdir = $findfile(%dir.img.con.entree,*.png,0,write sources/configuration/img-conv.txt " $+ $1- $+ ")
  var %imgdir = $findfile(%dir.img.con.entree,*.tif,0,write sources/configuration/img-conv.txt " $+ $1- $+ ")
  var %imgdir = $findfile(%dir.img.con.entree,*.gif,0,write sources/configuration/img-conv.txt " $+ $1- $+ ")
  var %imgdir = $findfile(%dir.img.con.entree,*.ico,0,write sources/configuration/img-conv.txt " $+ $1- $+ ")
  did -r conv 2 | voirimgconv
}
alias voirimgconv {
  var %i = 1
  while (%i <= $lines(sources/configuration/img-conv.txt)) {   
    var %photo = $nopath($remove($read(sources/configuration/img-conv.txt,%i),.jpg,.png,.tif,.bmp,.png,.ico))
    if (.bmp isin $read(sources/configuration/img-conv.txt,%i)) { set %extension BMP }
    if (.jpg isin $read(sources/configuration/img-conv.txt,%i)) { set %extension JPG }
    if (.tif isin $read(sources/configuration/img-conv.txt,%i)) { set %extension TIF }
    if (.png isin $read(sources/configuration/img-conv.txt,%i)) { set %extension PNG }
    if (.gif isin $read(sources/configuration/img-conv.txt,%i)) { set %extension GIF }
    if (.ico isin $read(sources/configuration/img-conv.txt,%i)) { set %extension ICO }
    did -a conv 2 0 1 %photo $chr(9) %extension
    inc %i
  }
  unset %extension
}
on *:dialog:conv:sclick:7:{ set %dir.img.con.sortie $$sdir="Selectionnez le dossier de vos images converties" }
on *:dialog:conv:sclick:16:{
  var %b = $calc($did(2).sel - 1)
  if (!$did(11)) { var %0 = $input(Vous devez choisir le format,516,Erreur) | halt }
  set %photo $read(sources/configuration/img-conv.txt,%b)
  set %largeur $pic(%photo).width 
  set %hauteur $pic(%photo).height
  window -BCdoph +d @avant 0 0 %largeur %hauteur
  drawpic -ms @avant 0 0 %largeur %hauteur %photo
  if ($did(11) = BMP) { drawsave -s @avant $nopath($remove(%photo,.jpg,.bmp,.png,.tif,.gif,.ico)) $+ .BMP | set %conversion BMP }
  if ($did(11) = JPG) { drawsave -s @avant $nopath($remove(%photo,.jpg,.bmp,.png,.tif,.gif,.ico)) $+ .JPG | set %conversion JPG }
  if ($did(11) = TIF) { drawsave -s @avant $nopath($remove(%photo,.jpg,.bmp,.png,.tif,.gif,.ico)) $+ .TIF | set %conversion TIF }
  if ($did(11) = GIF) { drawsave -s @avant $nopath($remove(%photo,.jpg,.bmp,.png,.tif,.gif,.ico)) $+ .GIF | set %conversion GIF }
  if ($did(11) = PNG) { drawsave -s @avant $nopath($remove(%photo,.jpg,.bmp,.png,.tif,.gif,.ico)) $+ .PNG | set %conversion PNG }
  if ($did(11) = ICO) { drawsave -s @avant $nopath($remove(%photo,.jpg,.bmp,.png,.tif,.gif,.ico)) $+ .ICO | set %conversion ICO }
  var %0 = $input(L'image $nopath(%photo) a bien t convertie en format %conversion,io,Information) 
  close -s@avant
}
on *:dialog:conv:sclick:2:{
  var %b = $calc($did(2).sel - 1)
  set %photo $read(sources/configuration/img-conv.txt,%b)
  did -g conv 9 %photo 
  set %largeur $pic(%photo).width 
  set %hauteur $pic(%photo).height
  var %date = $gmt($file(%photo).mtime)
  var %jour = $gettok(%date,3,32)
  var %mois = $gettok(%date,2,32)
  var %annee = $gettok(%date,5,32)
  did -ra conv 13 Diametre: %largeur $+ x $+ %hauteur
  did -ra conv 14 Taille: $bytes($file(%photo).size).suf
  did -ra conv 15 Date: %jour %mois %annee
}

;###################

alias tbp { dialog -md tbp tbp }
dialog tbp {
  title "Vitesse"
  size -1 -1 95 94
  option dbu
  box "Test", 1, 2 2 91 24
  text "Cliquez sur test pour tester votre dbit.", 2, 4 10 87 14
  text "progressbar", 3, 4 34 87 8
  text "Kbps: ?", 5, 4 43 87 8
  text "Ko/s: ?", 6, 4 52 87 8
  button "Test", 7, 2 82 30 10
  button "Fermer", 8, 63 82 30 10, ok
  box "Rsultats", 9, 2 26 91 36
  box "L'annoncer", 4, 2 62 91 18
  check "L'annoncer  la fin du test:", 10, 4 69 77 10, left
}
on *:dialog:tbp:init:*:{
  set %active-tbp $active
  charge-mdx
  dll $mdx SetBorderStyle $dname 7,8 staticedge 
  dll $mdx SetFont $dname 2,5,6,7,8,10 +a 12 500 verdana
  bolddialog $dname 1,9,4
  dll $mdx SetControlMDX 3 ProgressBar smooth > $ctl_gen.mdx
}
on *:dialog:tbp:sclick:7:{
  did -ra tbp 5 Kbps: patientez...
  did -ra tbp 6 Ko/s: patientez...
  sockclose tbp
  sockopen tbp macbidouille.free-go.net 80
}
on *:sockopen:tbp:{ sockwrite -n tbp GET http://macbidouille.free-go.net }
on *:sockread:tbp:{
  inc %tbpbarre
  sockread %temp
  if (<tr valign='middle' bgcolor=''><td class='bar' align='right'><font face='Arial' size='1' color='#330'><font size ='2'><b> isin %temp) { set %tbp $remove(%temp,<tr valign='middle' bgcolor=''><td class='bar' align='right'><font face='Arial' size='1' color='#330'><font size ='2'><b>,</b></font></font></td><td class='bar' valign='middle'><img src='barrerouge.gif',height=',width=',",/>,alt=,$chr(40),$chr(41)) }
  did -a tbp 3 %tbpbarre
  if (%tbpbarre = 100) { unset %tbpbarre 0 }
}
on *:sockclose:tbp:{ 
  did -a tbp 3 100
  did -ra tbp 5 Kbps: $gettok(%tbp,9,32)
  did -ra tbp 6 Ko/s: $gettok(%tbp,11,32)
  if ($did(tbp,10).state = 1) { msg %active-tbp 12Test de bande passante:4 $gettok(%tbp,9,32) $+ Kbps 12soit4 $gettok(%tbp,11,32) $+ Ko/s }
  unset %tbp | unset % tbparre | unset %active-tbp
}
