alias stats { dialog -md stats stats }
dialog stats {
  title "Statistiques"
  size -1 -1 120 156
  option dbu
  list 1, 2 25 116 117, size
  button "Rinitialiser", 2, 2 144 37 10
  button "Fermer", 3, 81 144 37 10, ok
  box "Options", 4, 3 1 115 22
  text "Choisissez vos stats:", 5, 5 10 55 8
  combo 6, 61 9 54 40, size drop
}
on *:dialog:stats:init:*:{
  charge-mdx
  dll $mdx SetFont $dname 1,2,3,5,6 +a 12 500 verdana
  dll $mdx SetBorderStyle $dname 2,3 staticedge 
  bolddialog $dname 4
  dll $mdx SetControlMDX $dname 1 ListView grid single report > $views
  did -i $dname 1 1 headerdims 160 50
  did -i $dname 1 1 headertext Informations $chr(9) Fois
  did -i $dname 1 1 seticon list 0 icones/fleche.ico
  did -a stats 6 Script
  did -a stats 6 Salons
  did -a stats 6 Dialogs
  inc %dlg-stat
}
on *:dialog:stats:sclick:2:{ confirmstats }
on *:dialog:stats:sclick:6:{
  did -r stats 1
  if ($did(6) = Script) {
    if (!%demarrage) { did -a stats 1 0 1 Utilisation du script $chr(9) 0 } | else { did -a stats 1 0 1 Utilisation du script $chr(9) %demarrage }
    if (!%je-me-connect) { did -a stats 1 0 1 Nombre de connexions $chr(9) 0 } | else { did -a stats 1 0 1 Nombre de connexions $chr(9) %je-me-connect }
  }
  if ($did(6) = Salons) {
    if (!%wh) { did -a stats 1 0 1 Nombre de whois $chr(9) 0 } | else { did -a stats 1 0 1 Nombre de whois $chr(9) %wh }
    did -a stats 1 0 $chr(9)
    if (!%je.join.salon) { did -a stats 1 0 1 Nombre de salons joins $chr(9) 0 } | else { did -a stats 1 0 1 Nombre de salons joins $chr(9) %je.join.salon }
    if (!%moipart) { did -a stats 1 0 1 Nombre de salons part $chr(9) 0 } | else { did -a stats 1 0 1 Nombre de salons part $chr(9) %moipart }
    if (!%moinick) { did -a stats 1 0 1 Changement de pseudo $chr(9) 0 } | else { did -a stats 1 0 1 Changement de pseudo $chr(9) %moinick }
    if (!%invite) { did -a stats 1 0 1 Invitations reues $chr(9) 0 } | else { did -a stats 1 0 1 Invitations reues $chr(9) %invite }
    if (!%hl.stats) { did -a stats 1 0 1 Highlights reus $chr(9) 0 } | else { did -a stats 1 0 1 Highlights reus $chr(9) %hl.stats }
    did -a stats 1 0 $chr(9)
    if (!%on.me.op) { did -a stats 1 0 1 J'ai t OP $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t OP $chr(9) %on.me.op }
    if (!%on.me.deop) { did -a stats 1 0 1 J'ai t DEOP $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t DEOP $chr(9) %on.me.deop }
    if (!%jeopqq1) { did -a stats 1 0 1 J'ai OP $chr(9) 0 } | else { did -a stats 1 0 1 J'ai OP $chr(9) %jeopqq1 }
    if (!%jedeopqq1) { did -a stats 1 0 1 J'ai DEOP $chr(9) 0 } | else { did -a stats 1 0 1 J'ai DEOP $chr(9) %jedeopqq1 }
    did -a stats 1 0 $chr(9)
    if (!%on.me.voice) { did -a stats 1 0 1 J'ai t VOICE $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t VOICE $chr(9) %on.me.voice }
    if (!%on.me.devoice) { did -a stats 1 0 1 J'ai t DEVOICE $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t DEVOICE $chr(9) %on.me.devoice }
    if (!%jevoiceqq1) { did -a stats 1 0 1 J'ai VOICE $chr(9) 0 } | else { did -a stats 1 0 1 J'ai VOICE $chr(9) %jevoiceqq1 }
    if (!%jedevoiceqq1) { did -a stats 1 0 1 J'ai DEVOICE $chr(9) 0 } | else { did -a stats 1 0 1 J'ai DEVOICE $chr(9) %jedevoiceqq1 }
    did -a stats 1 0 $chr(9)
    if (!%je.ban) { did -a stats 1 0 1 J'ai BAN $chr(9) 0 } | else { did -a stats 1 0 1 J'ai BAN $chr(9) %je.ban }
    if (!%onmeban) { did -a stats 1 0 1 J'ai t BAN $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t BAN $chr(9) %onmeban }
    if (!%moikick) { did -a stats 1 0 1 J'ai KICK $chr(9) 0 } | else { did -a stats 1 0 1 J'ai KICK $chr(9) %moikick }
    if (!%onmekick) { did -a stats 1 0 1 J'ai t KICK $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t KICK $chr(9) %onmekick } 
  }
  if ($did(6) = Dialogs) {
    if (!%dlg-menu) { did -a stats 1 0 1 Menu ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Menu ouvert $chr(9) %dlg-menu }
    if (!%dlg-asv) { did -a stats 1 0 1 ASV ouvert $chr(9) 0 } | else { did -a stats 1 0 1 ASV ouvert $chr(9) %dlg-asv } 
    if (!%dlg-autoj) { did -a stats 1 0 1 Auto join ouvert $chr(9) 0 }  | else { did -a stats 1 0 1 Auto join ouvert $chr(9) %dlg-autoj }
    if (!%dlg-serv) { did -a stats 1 0 1 Gestion servers ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Gestion servers ouvert $chr(9) %dlg-serv }
    if (!%dlg-ecr) { did -a stats 1 0 1 Module d'criture ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Module d'criture ouvert $chr(9) %dlg-ecr }
    if (!%dlg-automsg) { did -a stats 1 0 1 Auto messages ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Auto messages ouvert $chr(9) %dlg-automsg }
    if (!%dlg-sons) { did -a stats 1 0 1 Gestion des sons ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Gestion des sons ouvert $chr(9) %dlg-sons }
    if (!%dlg-cp) { did -a stats 1 0 1 Commandes perso ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Commandes perso ouvert $chr(9) %dlg-cp }
    if (!%dlg-nc) { did -a stats 1 0 1 Gestion pseudos ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Gestion pseudos ouvert $chr(9) %dlg-nc }
    if (!%dlg-auth) { did -a stats 1 0 1 Auto identification ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Auto identification ouvert $chr(9) %dlg-auth }
    if (!%dlg-aw) { did -a stats 1 0 1 Systme d'absence ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Systme d'absence ouvert $chr(9) %dlg-aw }
    if (!%dlg-mod) { did -a stats 1 0 1 Modration ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Modration ouvert $chr(9) %dlg-mod }
    if (!%dlg-sport) { did -a stats 1 0 1 Scanner de ports ouvert $chr(9) 0 } | else {  did -a stats 1 0 1 Scanner de ports ouvert $chr(9) %dlg-sport }
    if (!%dlg-prgm) { did -a stats 1 0 1 Programmes ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Programmes ouvert $chr(9) %dlg-prgm }
    if (!%dlg-hl) { did -a stats 1 0 1 Gestion highlights ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Gestion highlights ouvert $chr(9) %dlg-hl }
if (!%dlg-quote) { did -a stats 1 0 1 Quotes ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Quotes ouvert $chr(9) %dlg-quote }
    if (!%dlg.slaps) { did -a stats 1 0 1 Generateur de slaps ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Generateur de slaps ouvert $chr(9) %dlg.slaps }
    if (!%dlg-audio) { did -a stats 1 0 1 Lecteur audio ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Lecteur audio ouvert $chr(9) %dlg-audio }
    if (!%dlg-divx) { did -a stats 1 0 1 Lecteur divx ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Lecteur divx ouvert $chr(9) %dlg-divx }
    if (!%dlg-con) { did -a stats 1 0 1 Contacts ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Contacts ouvert $chr(9) %dlg-con }
    if (!%dlg-bn) { did -a stats 1 0 1 Bloc notes ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Bloc notes ouvert $chr(9) %dlg-bn }
    if (!%dlg-ph) { did -a stats 1 0 1 Photos viewer ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Photos viewer ouvert $chr(9) %dlg-ph }
    if (!%dlg-rgb) { did -a stats 1 0 1 Visionneur rbg ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Visionneur rbg ouvert $chr(9) %dlg-rgb }
    if (!%dlg-tpc) { did -a stats 1 0 1 Infos PC ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Infos PC ouvert $chr(9) %dlg-tpc }
    if (!%dlg.addon) { did -a stats 1 0 1 Gestion d'addons ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Gestion d'addons ouvert $chr(9) %dlg.addon }
    if (!%dlg.downcovers) { did -a stats 1 0 1 Download jaquettes $chr(9) 0 } | else { did -a stats 1 0 1 Download jaquettes ouvert $chr(9) %dlg.downcovers }
    if (!%dlg-cov) { did -a stats 1 0 1 Impression jaquettes ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Impression jaquettes ouvert $chr(9) %dlg-cov }
    if (!%dlg-stat) { did -a stats 1 0 1 Statistiques ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Statistiques ouvert $chr(9) %dlg-stat }
    if (!%dlg.sup) { did -a stats 1 0 1 Nettoyeur ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Nettoyeur ouvert $chr(9) %dlg.sup }
    if (!%dlg.eurf) { did -a stats 1 0 1 Convertisseur  - FR ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Convertisseur  - FR ouvert $chr(9) %dlg.eurf }
    if (!%dlg-smtp) { did -a stats 1 0 1 Envoi de mail ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Envoi de mail ouvert $chr(9) %dlg-smtp }
    if (!%dlg-pop) { did -a stats 1 0 1 Recepteur de mail ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Recepteur de mail ouvert $chr(9) %dlg-pop }
    if (!%dlg-meteo) { did -a stats 1 0 1 Mto ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Mto ouvert $chr(9) %dlg-meteo }
    if (!%dlg-astro) { did -a stats 1 0 1 Horoscope ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Horoscope ouvert $chr(9) %dlg-astro }
    if (!%dlg-telcom) { did -a stats 1 0 1 Logiciel du jour ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Logiciel du jour ouvert $chr(9) %dlg-telcom }
    if (!%dlg-mircs) { did -a stats 1 0 1 Recherche sources ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Recherche sources ouvert $chr(9) %dlg-mircs }
    if (!%dlg-annu) { did -a stats 1 0 1 Annuaire ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Annuaire ouvert $chr(9) %dlg-annu }
    if (!%dlg.sms) { did -a stats 1 0 1 SMS ouvert $chr(9) 0 } | else { did -a stats 1 0 1 SMS ouvert $chr(9) %dlg.sms }
    if (!%dlg-maj) { did -a stats 1 0 1 Mise  jour ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Mise  jour ouvert $chr(9) %dlg-maj }
    if (!%dlg-ass) { did -a stats 1 0 1 Assistance ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Assistance ouvert $chr(9) %dlg-ass }
  }
}
alias confirmstats { dialog -md confirmstats confirmstats }
dialog confirmstats {
  title "Avertissement"
  size -1 -1 157 33
  option dbu
  text "Tous vos chiffres de statistiques vont tre remis  0. Voulez vous continuer ?", 1, 3 5 152 14
  button "Oui", 2, 3 21 37 10
  button "Non", 3, 118 21 37 10, ok
}
on *:dialog:confirmstats:init:*:{
  charge-mdx
  dll $mdx SetFont $dname 1,2,3 +a 12 500 verdana
  dll $mdx SetBorderStyle $dname 2,3 staticedge 
}
on *:dialog:confirmstats:sclick:2:{
  unset %demarrage | unset %je-me-connect | unset %wh
  unset %on.me.op | unset %on.me.deop | unset %jeopqq1 | unset %jedeopqq1 | unset %je.join.salon | unset %moipart | unset %moinick | unset %invite | unset %hl.stats
  unset %on.me.voice |unset %on.me.devoice | unset %jevoiceqq1 | unset %jedevoiceqq1
  unset %je.ban | unset %onmeban | unset %moikick | unset %onmekick
  unset %dlg-menu | unset %dlg-asv | unset %dlg-autoj | unset %dlg-serv | unset %dlg-ecr | unset %dlg.addon
  unset %dlg-automsg | unset %dlg-sons | unset %dlg-cp | unset %dlg-nc | unset %dlg.sms | unset %dlg.slaps
  unset %dlg-auth | unset %dlg-aw | unset %dlg-mod | unset %dlg-sport | unset %dlg-prgm | unset %dlg-hl | unset %dlg-quote
  unset %dlg-audio | unset %dlg-divx | unset %dlg-con | unset %dlg-bn | unset %dlg-rgb | unset %dlg-tpc | unset %dlg.eurf
  unset %dlg-cov | unset %dlg-stat | unset %dlg-smtp | unset %dlg-pop | unset %dlg-meteo | unset %dlg-astro | unset %dlg.sup
  unset %dlg-telcom | unset %dlg-mircs | unset %dlg-annu | unset %dlg-maj | unset %dlg-ass | unset %dlg-ph | unset %dlg.downcovers
  did -r stats 1
  if ($did(stats,6) = Script) {
    if (!%demarrage) { did -a stats 1 0 1 Utilisation du script $chr(9) 0 } | else { did -a stats 1 0 1 Utilisation du script $chr(9) %demarrage }
    if (!%je-me-connect) { did -a stats 1 0 1 Nombre de connexions $chr(9) 0 } | else { did -a stats 1 0 1 Nombre de connexions $chr(9) %je-me-connect }
  }
  if ($did(stats,6) = Salons) {
    if (!%wh) { did -a stats 1 0 1 Nombre de whois $chr(9) 0 } | else { did -a stats 1 0 1 Nombre de whois $chr(9) %wh }
    did -a stats 1 0 $chr(9)
    if (!%je.join.salon) { did -a stats 1 0 1 Nombre de salons joins $chr(9) 0 } | else { diid -a stats 1 0 1 Nombre de salons joins %je.join.salon }
    if (!%moipart) { did -a stats 1 0 1 Nombre de salons part $chr(9) 0 } | else { did -a stats 1 0 1 Nombre de salons part $chr(9) %moipart }
    if (!%moinick) { did -a stats 1 0 1 Changement de pseudo $chr(9) 0 } | else { did -a stats 1 0 1 Changement de pseudo $chr(9) %moinick }
    if (!%invite) { did -a stats 1 0 1 Invitations reues $chr(9) 0 } | else { did -a stats 1 0 1 Invitations reues $chr(9) %invite }
    if (!%hl.stats) { did -a stats 1 0 1 Highlights reus $chr(9) 0 } | else { did -a stats 1 0 1 Highlights reus $chr(9) %hl.stats }
    did -a stats 1 0 $chr(9)
    if (!%on.me.op) { did -a stats 1 0 1 J'ai t OP $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t OP $chr(9) %on.me.op }
    if (!%on.me.deop) { did -a stats 1 0 1 J'ai t DEOP $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t DEOP $chr(9) %on.me.deop }
    if (!%jeopqq1) { did -a stats 1 0 1 J'ai OP $chr(9) 0 } | else { did -a stats 1 0 1 J'ai OP $chr(9) %jeopqq1 }
    if (!%jedeopqq1) { did -a stats 1 0 1 J'ai DEOP $chr(9) 0 } | else { did -a stats 1 0 1 J'ai DEOP $chr(9) %jedeopqq1 }
    did -a stats 1 0 $chr(9)
    if (!%on.me.voice) { did -a stats 1 0 1 J'ai t VOICE $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t VOICE $chr(9) %on.me.voice }
    if (!%on.me.devoice) { did -a stats 1 0 1 J'ai t DEVOICE $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t DEVOICE $chr(9) %on.me.devoice }
    if (!%jevoiceqq1) { did -a stats 1 0 1 J'ai VOICE $chr(9) 0 } | else { did -a stats 1 0 1 J'ai VOICE $chr(9) %jevoiceqq1 }
    if (!%jedevoiceqq1) { did -a stats 1 0 1 J'ai DEVOICE $chr(9) 0 } | else { did -a stats 1 0 1 J'ai DEVOICE $chr(9) %jedevoiceqq1 }
    did -a stats 1 0 $chr(9)
    if (!%je.ban) { did -a stats 1 0 1 J'ai BAN $chr(9) 0 } | else { did -a stats 1 0 1 J'ai BAN $chr(9) %je.ban }
    if (!%onmeban) { did -a stats 1 0 1 J'ai t BAN $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t BAN $chr(9) %onmeban }
    if (!%moikick) { did -a stats 1 0 1 J'ai KICK $chr(9) 0 } | else { did -a stats 1 0 1 J'ai KICK $chr(9) %moikick }
    if (!%onmekick) { did -a stats 1 0 1 J'ai t KICK $chr(9) 0 } | else { did -a stats 1 0 1 J'ai t KICK $chr(9) %onmekick } 
  }
  if ($did(stats,6) = Dialogs) {
    if (!%dlg-menu) { did -a stats 1 0 1 Menu ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Menu ouvert $chr(9) %dlg-menu }
    if (!%dlg-asv) { did -a stats 1 0 1 ASV ouvert $chr(9) 0 } | else { did -a stats 1 0 1 ASV ouvert $chr(9) %dlg-asv } 
    if (!%dlg-autoj) { did -a stats 1 0 1 Auto join ouvert $chr(9) 0 }  | else { did -a stats 1 0 1 Auto join ouvert $chr(9) %dlg-autoj }
    if (!%dlg-serv) { did -a stats 1 0 1 Gestion servers ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Gestion servers ouvert $chr(9) %dlg-serv }
    if (!%dlg-ecr) { did -a stats 1 0 1 Module d'criture ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Module d'criture ouvert $chr(9) %dlg-ecr }
    if (!%dlg-automsg) { did -a stats 1 0 1 Auto messages ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Auto messages ouvert $chr(9) %dlg-automsg }
    if (!%dlg-sons) { did -a stats 1 0 1 Gestion des sons ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Gestion des sons ouvert $chr(9) %dlg-sons }
    if (!%dlg-cp) { did -a stats 1 0 1 Commandes perso ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Commandes perso ouvert $chr(9) %dlg-cp }
    if (!%dlg-nc) { did -a stats 1 0 1 Gestion pseudos ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Gestion pseudos ouvert $chr(9) %dlg-nc }
    if (!%dlg-auth) { did -a stats 1 0 1 Auto identification ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Auto identification ouvert $chr(9) %dlg-auth }
    if (!%dlg-aw) { did -a stats 1 0 1 Systme d'absence ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Systme d'absence ouvert $chr(9) %dlg-aw }
    if (!%dlg-mod) { did -a stats 1 0 1 Modration ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Modration ouvert $chr(9) %dlg-mod }
    if (!%dlg-sport) { did -a stats 1 0 1 Scanner de ports ouvert $chr(9) 0 } | else {  did -a stats 1 0 1 Scanner de ports ouvert $chr(9) %dlg-sport }
    if (!%dlg-prgm) { did -a stats 1 0 1 Programmes ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Programmes ouvert $chr(9) %dlg-prgm }
    if (!%dlg-hl) { did -a stats 1 0 1 Gestion highlights ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Gestion highlights ouvert $chr(9) %dlg-hl }
if (!%dlg-quote) { did -a stats 1 0 1 Quotes ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Quotes ouvert $chr(9) %dlg-quote }
    if (!%dlg.slaps) { did -a stats 1 0 1 Generateur de slaps ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Generateur de slaps ouvert $chr(9) %dlg.slaps }
    if (!%dlg-audio) { did -a stats 1 0 1 Lecteur audio ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Lecteur audio ouvert $chr(9) %dlg-audio }
    if (!%dlg-divx) { did -a stats 1 0 1 Lecteur divx ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Lecteur divx ouvert $chr(9) %dlg-divx }
    if (!%dlg-con) { did -a stats 1 0 1 Contacts ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Contacts ouvert $chr(9) %dlg-con }
    if (!%dlg-bn) { did -a stats 1 0 1 Bloc notes ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Bloc notes ouvert $chr(9) %dlg-bn }
    if (!%dlg-ph) { did -a stats 1 0 1 Photos viewer ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Photos viewer ouvert $chr(9) %dlg-ph }
    if (!%dlg-rgb) { did -a stats 1 0 1 Visionneur rbg ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Visionneur rbg ouvert $chr(9) %dlg-rgb }
    if (!%dlg-tpc) { did -a stats 1 0 1 Infos PC ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Infos PC ouvert $chr(9) %dlg-tpc }
    if (!%dlg.addon) { did -a stats 1 0 1 Gestion d'addons ouvert $chr(9) 0 } | else { did -s stats 1 0 1 Gestion d'addons ouverts $chr(9) %dlg.addon }
    if (!%dlg-cov) { did -a stats 1 0 1 Impression jaquettes $chr(9) 0 } | else { did -a stats 1 0 1 Impression jaquettes ouvert $chr(9) %dlg-cov }
    if (!%dlg.downcovers) {  did -a stats 1 0 1 Download jaquettes $chr(9) 0 } | else { did -a stats 1 0 1 Download jaquettes ouvert $chr(9) %dlg.downcovers }
    if (!%dlg-stat) { did -a stats 1 0 1 Statistiques ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Statistiques ouvert $chr(9) %dlg-stat }
    if (!%dlg.sup) { did -a stats 1 0 1 Nettoyeur ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Nettoyeur ouvert $chr(9) %dlg.sup }
    if (!%dlg.eurf) { did -a stats 1 0 1 Convertisseur  - FR ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Convertisseur  - FR ouvert $chr(9) %dlg.eurf }
    if (!%dlg-smtp) { did -a stats 1 0 1 Envoi de mail ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Envoi de mail ouvert $chr(9) %dlg-smtp }
    if (!%dlg-pop) { did -a stats 1 0 1 Recepteur de mail ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Recepteur de mail ouvert $chr(9) %dlg-pop }
    if (!%dlg-meteo) { did -a stats 1 0 1 Mto ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Mto ouvert $chr(9) %dlg-meteo }
    if (!%dlg-astro) { did -a stats 1 0 1 Horoscope ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Horoscope ouvert $chr(9) %dlg-astro }
    if (!%dlg-telcom) { did -a stats 1 0 1 Logiciel du jour ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Logiciel du jour ouvert $chr(9) %dlg-telcom }
    if (!%dlg-mircs) { did -a stats 1 0 1 Recherche sources ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Recherche sources ouvert $chr(9) %dlg-mircs }
    if (!%dlg-annu) { did -a stats 1 0 1 Annuaire ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Annuaire ouvert $chr(9) %dlg-annu }
    if (!%dlg.sms) { did -a stats 1 0 1 SMS ouvert $chr(9) 0 } | else { did -a stats 1 0 1 SMS ouvert $chr(9) %dlg.sms }
    if (!%dlg-maj) { did -a stats 1 0 1 Mise  jour ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Mise  jour ouvert $chr(9) %dlg-maj }
    if (!%dlg-ass) { did -a stats 1 0 1 Assistance ouvert $chr(9) 0 } | else { did -a stats 1 0 1 Assistance ouvert $chr(9) %dlg-ass }
  }
  dialog -x confirmstats confirmstats
}
