;Snippet de tlchargement - /download <fichier>
;Cr par Artwerks
;Mercredi 19 mars 2003

;Utilisation:
;/download <fichier  tlcharger>
;Remplacer <fichier  tlcharger> par l'adresse o se trouve le fichier, par exemple: www.exemple.com/test.png

;C'est l'alias qui sert  dmarrer le processus de tlchargement.
alias download {
  ;Vrification si un fichier a t spcifi.
  if ($1 == $null) { echo -a Erreur. Spcifi un nom de fichier. }
  ;On set l'adresse du fichier, et on ouvre le socket.
  else { set %dl.file $remove($replace($1-,$chr(32),$+($chr(37),20)),http://) | sockclose download | sockopen download $gettok(%dl.file,1,47) 80 }
}

on *:sockopen:download:{
  ;On ouvre le dialog avec cet alias
  dl.info
  ;On crit dans le dialog le nom du fichier
  did -ra dl.info 2 Fichier: $gettok(%dl.file,-1,47)
  ;Si le fichier existe dj, on l'efface.
  if ($isfile($gettok(%dl.file,-1,47))) { .remove $gettok(%dl.file,-1,47) }
  if (!$sockerr) {
    ;On demande le fichier au site web.
    sockwrite -n $sockname GET $remove(%dl.file,$gettok(%dl.file,1,47)) HTTP/1.1
    sockwrite -n $sockname Host: $gettok(%dl.file,1,47) $+ $str($crlf ,2)
  }
}

on *:sockread:download:{
  ;On stock le sockread dans une variable
  sockread %dl.temp
  ;On cherche la grosseur du fichier, c'est en bytes.
  if ($gettok(%dl.temp,1,32) == Content-Length:) { set %dl.size $gettok(%dl.temp,2,32) | did -ra dl.info 4 $round($calc($gettok(%dl.temp,2,32) / 1024),2) $+ k }
  ;Lorsque le header est termin, on renomme le socket pour recevoir les donnes du fichier.
  if (%dl.temp == $null) {
    ;On vrifie si le nom du socket est utilis, et on le ferme avant de renommer.
    if ($sock(download2)) { sockclose download2 }
    sockrename download download2
  }
}
on *:sockread:download2:{
  ;On stock les donnes dans une &var obligatoirement
  ;Si on les stock dans une %var, le fichier sera erron donc inutilisable.
  sockread &dl.temp
  ;On crit les donnes reues dans le fichier.
  bwrite $gettok(%dl.file,-1,47) -1 -1 &dl.temp
  ;On calcule le pourcentage du tlchargement  chaque sockread et on l'affiche dans le dialog.
  if ($calc(%dl.size - $file($gettok(%dl.file,-1,47)).size) != 0) { did -ra dl.info 6 $round($calc($file($gettok(%dl.file,-1,47)).size / %dl.size * 100),2) $+ $chr(37) }
  else {
    ;Lorsque le tlchargement est termin...
    ;On l'indique dans le dialog.
    did -ra dl.info 6 Tlchargement termin.
    ;On vrifie si la case pour ouvrir le fichier est coch et on ouvre le fichier.
    if ($did(dl.info,8).state == 1) { set %dl.open yes | run $gettok(%dl.file,-1,47) }
    ;On unhide (montre) le bouton fermer.
    did -v dl.info 7
    ;On ferme le socket.
    sockclose download2
  }
}
;Lorsque le socket se ferme, on vrifie si le tlchargement tait en cours, et on indique l'erreur dans le dialog si il y a lieu, puis on montre le bouton fermer.
on *:sockclose:download*:{ if ($did(dl.info,6) != Tlchargement termin.) && ($dialog(dl.info)) { did -ra dl.info 6 Erreur. Recommencer. | did -v dl.info 7 } }

;a c'est le dialog, wow... j'ai besoin de commenter a aussi? Nah!
dialog dl.info {
  title "Tlchargement en cours"
  size -1 -1 114 54
  option dbu
  box "Tlchargement", 1, 1 1 112 42
  text "", 2, 5 11 104 8
  text "Grosseur du fichier:", 3, 5 19 48 8
  text "", 4, 53 19 56 8
  text "Tlcharg:", 5, 5 31 30 8
  text "", 6, 35 31 74 8
  button "Fermer", 7, 81 43 32 10, cancel hide
  check "Ouvrir le fichier  la fin", 8, 2 43 64 10
}

;L'alias servant  ouvrir le dialog
alias dl.info { if (!$dialog(dl.info)) { dialog -m dl.info dl.info } }
; l'ouverture du dialog, on vrifie si la variable d'ouverture du fichier est sett
on *:dialog:dl.info:init:0:if (%dl.open == yes) { did -c dl.info 8 }
