alias notes { dialog -m notes notes }
dialog notes {
  title "Bloc notes"
  size -1 -1 248 255
  option pixels
  edit "", 1, 3 3 242 248, multi, return, autovs, vsbar
  menu "Fichier",4
  item "Nouveau",5,4
  item "Ouvrir",6,4
  item "Enregistrer sous...",7,4
  item "Imprimer",8,4
  item "Quitter",9,4
  menu "Configurer",10
  item "Ma signature",11,10
  item "Police d'criture",12,10
  item "Couleur d'criture",13,10
  menu "Inserer",14
  item "Ma signature",15,14
  item "La date",16,14
  item "L'heure",17,14
  item "La date et l'heure",18,14
}
on *:dialog:notes:menu:18:{ did -a notes 1 $jour $time(dd) $mois $time(yyyy) $time }
on *:dialog:notes:menu:17:{ did -a notes 1 $time }
on *:dialog:notes:menu:16:{ did -a notes 1 $jour $time(dd) $mois $time(yyyy) } 
on *:dialog:notes:menu:15:{ did -a notes 1 %notes.signature }
on *:dialog:notes:menu:11:{ set %notes.signature $$?="Quel sera votre nouvelle signature?" }
on *:dialog:notes:menu:13:{ couleurbn }
on *:dialog:notes:menu:12:{ polbn }
on *:dialog:notes:menu:5:{ dialog -t notes Bloc notes Nouveau.txt | did -r notes 1 }
on *:dialog:notes:menu:6:{
  var %a $shortfn($sfile(*.txt,Ouvrir,Ouvrir)) 
  loadbuf -ro notes 1 %a 
  dialog -t notes Bloc Notes $nopath(%a).txt
  var %f new_doc 
}
on *:dialog:notes:menu:7:{
  var %a = $shortfn($sdir($mircdir,Selectionnez le rpertoire o le document sera sauv))
  if (%a == $null) { return }
  var %b = $?="Nom du document")
  var %b = $replace(%b,$chr(32),-)
  if (%b == $null) { return }
  var %f %a $+ %b
  var %i = 1
  while (%i <= $did(notes,1).lines) {
    write %f $+ .txt $did(notes,1,%i)
    inc %i
    dialog -t notes Bloc Notes %b $+ .txt
  }
}
on *:dialog:notes:menu:8:{
  var %i = 1
  while (%i <= $did(notes,1).lines) {
    write impression.txt  $did(notes,1,%i)
    inc %i
  }
  run notepad.exe /p impression.txt
  .timer 1 1 remove impression.txt
}
on *:dialog:notes:menu:9:{ dialog -x notes notes }

on *:dialog:notes:init:*:{
  charge-mdx
  dll $mdx SetFont notes 1 +a %bntaille 500 %bnfont  
  dll $mdx SetColor notes 1 text %couleurbn
inc %dlg-bn
}

;#######Couleur bloc note##########
alias couleurbn { dialog -md couleurbn couleurbn }
dialog couleurbn {
  title "Couleur bloc note"
  size -1 -1 107 33
  option dbu
  text "R", 1, 2 3 7 8
  text "G", 2, 2 13 5 8
  text "B", 3, 2 23 5 8
  list 4, 11 3 65 7, size
  list 5, 11 13 65 7, size
  list 6, 11 23 65 7, size
  edit "", 7, 78 3 28 27
}
on *:dialog:couleurbn:init:*:{
  charge-mdx
  dll $mdx SetFont $dname 1,2,3 +a 12 500 verdana
  dll $mdx SetColor $dname 1 text $rgb(255,000,000)
  dll $mdx SetColor $dname 2 text $rgb(000,207,000)
  dll $mdx SetColor $dname 3 text $rgb(000,000,255)
  dll $mdx SetColor 7 background $rgb(000,000,000)
  dll $mdx SetControlMDX $dname 4,5,6 TrackBar AutoTicks > $bars
  dll $mdx SetBorderStyle $dname 4,5,6 WindowEdge
  did -i couleurbn 4,5,6 1 Params 0 0 255 * * * * 13
}
on *:dialog:couleurbn:sclick:4,5,6:{
  dll $mdx SetColor couleurbn 7 BackGround $rgb($gettok($did(4).seltext,1,32),$gettok($did(5).seltext,1,32),$gettok($did(6).seltext,1,32))
  set %couleurbn $rgb( $+ $gettok($did(4).seltext,1,32) $+ , $+ $gettok($did(5).seltext,1,32) $+ , $+ $gettok($did(6).seltext,1,32) $+ )
  dll $mdx SetColor notes 1 text %couleurbn
}
;############Police bloc notes###############
alias polbn { dialog -md polbn polbn }
dialog polbn {
  title "Police d'criture"
  size -1 -1 131 16
  option dbu
  combo 1, 2 4 84 100, size drop
  text "Taille:", 2, 88 5 16 8
  edit "", 3, 106 4 24 10, autohs
}
on *:dialog:polbn:init:*:{
  .remove sources/configuration/font.txt
  charge-mdx
  dll $mdx SetFont $dname 1,2,3 +a 12 500 verdana
  var %open = $findfile(C:\WINDOWS\Fonts,*.ttf,0,write sources/configuration/font.txt $1-)
  voirfont
  did -a polbn 3 %bntaille
}
alias voirfont {
  var %i = 1
  while (%i <= $lines(sources/configuration/font.txt)) {
    did -a polbn 1 $nopath($remove($read(sources/configuration/font.txt,%i),.ttf,.fon))
    inc %i
  }
}
on *:dialog:polbn:sclick:1:{ set %bnfont $did(polbn,1).seltext | dll $mdx SetFont notes 1 +a %bntaille 500 %bnfont  }
on *:dialog:polbn:edit:3:{ set %bntaille $did(polbn,3) | dll $mdx SetFont notes 1 +a %bntaille 500 %bnfont }
